#
# spec file for package xfce4-panel-plugin-battery
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.8.0
%define plugin_name xfce4-battery-plugin

Name:           xfce4-panel-plugin-battery
Version:        1.0.5
Release:        10.1
Summary:        Battery Monitoring Plugin for the Xfce Panel
License:        GPL-2.0+
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-battery-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/1.0/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libxfce4panel-1.0)
BuildRequires:  pkgconfig(libxfce4ui-1)
BuildRequires:  pkgconfig(libxfce4util-1.0)
Requires:       xfce4-panel >= %{panel_version}
# uses exo-open
Requires:       exo-tools
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Battery plugin allows to monitor battery levels and can execute actions on
low and critical levels.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{_smp_mflags} V=1

%install
%make_install

rm %{buildroot}%{_libdir}/xfce4/panel/plugins/libbattery.la

rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%clean
rm -rf %{buildroot}

%post
%icon_theme_cache_post

%postun
%icon_theme_cache_postun

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING COPYING.LIB NEWS README
%{_libdir}/xfce4/panel/plugins/libbattery.so
%{_datadir}/icons/hicolor/*/apps/xfce4-battery-*.*
%{_datadir}/xfce4/panel/plugins/battery.desktop

%files lang -f %{name}.lang

%changelog
* Sun Jul  1 2012 gber@opensuse.org
- update to version 1.0.5
  - better compliance with the panel plugin HIG
  - don't set labels orientation on 4.8 panels
  - set progressbar orientation in setup_battmon
* Mon May 14 2012 gber@opensuse.org
- update to version 1.0.4
  - improve the plugin UI in vertical/deskbar/multirows panels
* Mon Apr 30 2012 gber@opensuse.org
- update to version 1.0.2
  - change icon depending on charge level/ac status
  - install icons from xfpm
  - add AC color state and allow user-configurable colors
  - make the progressbar optional
  - improve battery removal detection
  - rework configuration dialog to use tabs
  - only display time if it's valid
* Sun Apr 29 2012 gber@opensuse.org
- add dependency on exo-tools since exo-open is used
* Fri Apr 20 2012 gber@opensuse.org
- add documentation files
* Tue Apr 17 2012 gber@opensuse.org
- fix source URL
* Tue Apr 17 2012 gber@opensuse.org
- update to version 1.0.1
  - build the plugin as a module
  - port to libxfce4ui
  - port to panel 4.9+
  - add about dialog
  - don't show percentage/time if charge is 0
- dropped obsolete
  xfce4-battery-plugin-1.0.0-show-time-when-on-battery-power.patch
* Tue Apr  3 2012 gber@opensuse.org
- added
  xfce4-battery-plugin-1.0.0-show-time-when-on-battery-power.patch
  in order to show the time when on battery power (bxo#3736)
* Sun Apr  1 2012 gber@opensuse.org
- specfile cleanup
- correct dependencies
* Fri Sep 16 2011 andrea.turrini@gmail.com
- fixed typo in xfce4-panel-plugin-battery.spec
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
